
Foreman - Feature #37092

Use minitest_reporters_github in GitHub Actions

01/23/2024 08:04 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases: 3.10.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10010

  

Description

While minitest-reporters hasn't merged https://github.com/minitest-reporters/minitest-reporters/pull/332 I've created

minitest_reporters_github to do the same. This provides annotations in the changes files tab where tests failed.

Associated revisions

Revision 08097fb6 - 02/15/2024 07:11 AM - Ewoud Kohl van Wijngaarden

Fixes #37092 - Use minitest_reporters_github in GHA

This is a specialized reporter to provide GitHub annotations on failure.

These annotations can be seen in the changes files tab.

History

#1 - 01/23/2024 08:06 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/10010 added

#2 - 02/15/2024 07:11 AM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#3 - 02/15/2024 08:00 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|08097fb6287e0753c88de2fdbc60a2d7976d78a7.
